using System.Runtime.InteropServices;

namespace FastArena.Network.Packets
{
    [StructLayout(LayoutKind.Sequential)]
    internal readonly struct CreateObjectPacket
    {
        internal readonly PacketHeader header;
        internal readonly int gameObjectId;
        internal readonly string prefabPath;

        internal CreateObjectPacket(int _gameObjectId, string _prefabPath)
        {
            header = new PacketHeader(PacketType.CreateObject);
            gameObjectId = _gameObjectId;
            prefabPath = _prefabPath;
        }
    }
}